*{ margin: 0; padding: 0; box-sizing: border-box;}

html{
   scroll-padding-top: 5rem;
}

body{
    font-family: Arial, Helvetica, sans-serif;
    background-color: gainsboro
}

h2{
    font-size: 1.1rem;
}

.top-placeholder{
    height: 2.8rem;
}

header{
    font-family: 'Courier New', Courier, monospace;
     background-color: #1F32AB;
     padding:0.25rem;
     color: white;
     /* border-bottom: 2px solid #1F32AB; */
     position: fixed;
     width: 100vw;
     z-index: 100000;
     top:0;

     a{
        color: white;
        text-decoration: none;
     }

     p{
        font-size: 1.5rem;
        font-weight: bold;
     }
}

.highlight{
    font-weight: bold;
    font-size: 1.1rem;
    opacity: 1;
}

.back{
   position: fixed;
   color: #1F32AB;
   border: none;
   background-color: transparent;
   font-size: 2rem;
   font-weight: bold;
   opacity: 0.7;
   margin-top:-2.3rem;
   z-index: 100000;
}

main{
    display: flex;
    justify-content: flex-start;
     align-items: flex-start;
    flex-wrap: wrap;
    gap: 1rem;
    padding: 1rem;
    padding-top:1.2rem;
    min-height: 40vh;
    margin:0 auto;
    align-content: flex-start;

}

#articleSite{
    width:60rem;
    min-height: 100%;
    padding: 1rem;
    padding-top:2.5rem;
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items:initial;
    justify-content: initial;
    align-content: initial;
    justify-content: initial;
    flex-wrap:nowrap;

    h1{
        margin-bottom: 1rem;
    }

    table{
        tr:nth-of-type(odd){
          background-color: rgb(224, 224, 224);
        }

        overflow-x: auto;
        word-break: break-all;
    }

    article{
        display: flex;
        flex-direction: column;
        gap: 2rem;
   
    }

    img:not(.ads img), iframe, video{
        width: 100%;
    }

    section{
        display: flex;
        flex-direction: column;
        gap:1rem;
    }

    .content{
        display: flex;
        flex-direction: column;

        a{
            text-decoration: none;
        }
    }
}

table, tr, td, thead{
    overflow-wrap: break-word;
}

#video-modal{
     margin: 2rem auto;
     background: transparent;
     border: none;

     button{
        border-radius: 2rem;
        border: none;
        background-color: #1F32AB;
        color: white;
        font-size: 1.8rem;
        width: 2rem;
        height: 2rem;
        display: flex;
        align-items: center;
        justify-content: center;
      
     }

     div{
        padding: 0.5rem;
     }

}

#ads{
    margin-top: 1rem;
    width: 100%;
    div{
        width:100%;
        margin-top:1rem;
        display:flex;
        overflow-x: auto;
        flex-direction: column;
        gap: 1rem;
        align-items: center;
    }
}

 #video-modal{
    width: 60rem;

    iframe{
        width: 100%;
    }

 } 

.ads{
    border-bottom: 1px solid #1F32AB;
    border-top: 1px solid #1F32AB;
    padding-top: 1rem;
    padding-bottom: 1rem;
    margin-bottom: 1rem;
    overflow: auto;

    div:first-of-type{
        display: flex;
        gap: 1rem;
        span{
            font-size: 0.7rem;
        }

        button{
            background-color: transparent;
            border: none;
        }
    }

    p{
        margin-bottom: 0.5rem;
    }
    
}

footer{
    width: 60rem;
    margin: 3rem auto;
    display: flex;
    flex-direction: column;
    gap: 1rem;

    a{
        text-decoration: none;
        color: gray;
    }

    #support{
         display: flex;
         justify-content: space-between;
         flex-wrap: wrap;
    }

    #legal{
        display: flex;
        justify-content: center;
        
        gap: 1rem;
    }

    #links{
        margin-top: 2rem;
        border-top: 1px solid black;
        display: flex;
        flex-direction: column;
        gap:0.5rem; 
         padding-top: 0.5rem;

        a{
            color: black;
        }
    }
}

h3{
    font-size: 1rem;
}

#video-modal .ads{
    color: white;
    background-color: rgba(0,0,0,0.8);

    p{
        padding-bottom:0.5rem;
    }
}

#filter{
    width: 100%;
    font-size: 0.9rem;

    a{
       opacity:0.5;
    }

    
   .highlight{
    opacity: 1;
    font-size:1rem;
}

    
}

iframe, fieldset{
    border: none;
}

.answer-btn, .print-btn{
    background-color: transparent;
    border: none;
    text-decoration: underline;
    margin-top: 1rem;
}




fieldset{
    background-color: gainsboro;
    padding: 0.5rem;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    border-radius: 0.25rem;

    button{
        width:10rem;
        border: none;
        padding: 0.25rem;
    }
}

legend{
    background-color: #1F32AB;
    color: white;
    padding: 0.25rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    font-size: 1.3rem;
    border-radius: 2rem;
}

dialog{
    z-index: 100001;
}

.time{


   font-style: italic;
}

.pad-left-1{
    padding-left: 1rem;
}

article:not(#articleSite article){
    width: 25rem;
    height: 25rem;
    flex-basis: auto;
    background-color: white;
    
    padding: 0.5rem;
    border-radius: 0.2rem;
    img{
        width: 100%;
    }

    a{
        height: 100%;
        color: black;
        text-decoration: none;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap: 0.5rem;
    }
}

.video-btn{
    width: 6rem;
    border: none;
    background-color: #1F32AB;
    font-size: 1.1rem;
    color: white;
    border-radius: 2rem;
}

::backdrop{
    background: rgba(0,0,0,0.9);
}

a:hover, button:hover{
   filter: hue-rotate(90deg);
}

#filter{
    display: flex;
    flex-wrap: wrap;
    gap: 0.25rem;

    a{
        text-decoration: none;
        color: black;
    }
}

#print-license{
    display: none;

    img{
        width: 4rem;
    }
}



@media only screen and (max-width: 60rem) {
  article:not(#articleSite article){ 
    width: 100%;
    height:initial;
  }

  main{
    align-items: center;
    padding:0.5rem;
    gap: 0.5rem;
    padding-top: 2rem;
    width:100%;
  }

  #articleSite{
    width: 100%;
    
  }

  body{
    /* background-color: white; */
  }

  footer{
    width: 100%;
    padding:0.5rem;
   
  }

  #video-modal{
    width: 100vw;
    overflow:inherit;

    iframe{
        width: 100%;
    }
  }
}

@media only screen and (max-width: 400px) {
  .top-placeholder{
    height: 4rem;
  }
}

@media only screen and (max-width: 330px) {
  .top-placeholder{
    height: 6rem;
  }
}